Bug 442849 - [RFE] polish "could not open display" error msg
[RFE] polish "could not open display" error msg
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-04-17 03:58 EDT by Michal Nowak
Modified: 2013-04-12 15:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-25 03:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-04-17 03:58:24 EDT
Description of problem:

when running connected via ssh I run pup but it ends up with

Traceback (most recent call last):
  File "/usr/sbin/pup", line 31, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
RuntimeError: could not open display

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. connect to (remote) server with ssh (omit -Y or -X)
2. issue pup

Actual results:

Expected results:
"pup: could not open display"
Comment 6 RHEL Product and Program Management 2010-08-09 14:27:38 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2012-10-10 07:54:25 EDT
Thank you for submitting this issue for consideration. Red Hat Enterprise Linux 5 has reached the end of Production 1 Phase of its Life Cycle.  Red Hat does not plan to incorporate the suggested capability in a future Red Hat Enterprise Linux 5 minor release. If you would like Red  Hat to re-consider this feature request and the requested functionality is not currently in Red Hat Enterprise Linux 6, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.